<?php

$type = function()
{
	$array = array();
	$data = Dever::load('role/servicer_type-state');
	if($data)
	{
		$array += $data;
	}
	return $array;
};

return array
(
	# 表名
	'name' => 'servicer',
	# 显示给用户看的名称
	'lang' => '配送商',
	# 是否显示在后台菜单
	'order' => 9,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'asc',
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '配送商名称',
			'default' 	=> '',
			'desc' 		=> '配送商名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'type_id'        => array
        (
            'type'      => 'int-11',
            'name'      => '配送商类型',
            'default'   => '1',
            'desc'      => '配送商类型',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $type,
        ),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'button' => array
        (
            '类型配置' => array('list', 'servicer_type&oper_parent=servicer'),
        ),
	),

	'default' => array
	(
		'col' => 'name,type_id,state,cdate',
		'value' => array
		(
			'"默认配送商", 1, 1,' . DEVER_TIME,
		),
	),

	'request' => array
	(
		
	)
);
